import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DescribeRulesetCommand, se_DescribeRulesetCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class DescribeRulesetCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSGlueDataBrew", "DescribeRuleset", {})
    .n("DataBrewClient", "DescribeRulesetCommand")
    .f(void 0, void 0)
    .ser(se_DescribeRulesetCommand)
    .de(de_DescribeRulesetCommand)
    .build() {
}
